package com.mvc.entity;

import java.util.ArrayList;
import java.util.Date;
import java.util.List;

public class TaskBatchRemoteDetailExample {
    protected String orderByClause;

    protected boolean distinct;

    protected List<Criteria> oredCriteria;

    public TaskBatchRemoteDetailExample() {
        oredCriteria = new ArrayList<Criteria>();
    }

    public void setOrderByClause(String orderByClause) {
        this.orderByClause = orderByClause;
    }

    public String getOrderByClause() {
        return orderByClause;
    }

    public void setDistinct(boolean distinct) {
        this.distinct = distinct;
    }

    public boolean isDistinct() {
        return distinct;
    }

    public List<Criteria> getOredCriteria() {
        return oredCriteria;
    }

    public void or(Criteria criteria) {
        oredCriteria.add(criteria);
    }

    public Criteria or() {
        Criteria criteria = createCriteriaInternal();
        oredCriteria.add(criteria);
        return criteria;
    }

    public Criteria createCriteria() {
        Criteria criteria = createCriteriaInternal();
        if (oredCriteria.size() == 0) {
            oredCriteria.add(criteria);
        }
        return criteria;
    }

    protected Criteria createCriteriaInternal() {
        Criteria criteria = new Criteria();
        return criteria;
    }

    public void clear() {
        oredCriteria.clear();
        orderByClause = null;
        distinct = false;
    }

    protected abstract static class GeneratedCriteria {
        protected List<Criterion> criteria;

        protected GeneratedCriteria() {
            super();
            criteria = new ArrayList<Criterion>();
        }

        public boolean isValid() {
            return criteria.size() > 0;
        }

        public List<Criterion> getAllCriteria() {
            return criteria;
        }

        public List<Criterion> getCriteria() {
            return criteria;
        }

        protected void addCriterion(String condition) {
            if (condition == null) {
                throw new RuntimeException("Value for condition cannot be null");
            }
            criteria.add(new Criterion(condition));
        }

        protected void addCriterion(String condition, Object value, String property) {
            if (value == null) {
                throw new RuntimeException("Value for " + property + " cannot be null");
            }
            criteria.add(new Criterion(condition, value));
        }

        protected void addCriterion(String condition, Object value1, Object value2, String property) {
            if (value1 == null || value2 == null) {
                throw new RuntimeException("Between values for " + property + " cannot be null");
            }
            criteria.add(new Criterion(condition, value1, value2));
        }

        public Criteria andIdIsNull() {
            addCriterion("ID is null");
            return (Criteria) this;
        }

        public Criteria andIdIsNotNull() {
            addCriterion("ID is not null");
            return (Criteria) this;
        }

        public Criteria andIdEqualTo(Integer value) {
            addCriterion("ID =", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdNotEqualTo(Integer value) {
            addCriterion("ID <>", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdGreaterThan(Integer value) {
            addCriterion("ID >", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdGreaterThanOrEqualTo(Integer value) {
            addCriterion("ID >=", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdLessThan(Integer value) {
            addCriterion("ID <", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdLessThanOrEqualTo(Integer value) {
            addCriterion("ID <=", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdIn(List<Integer> values) {
            addCriterion("ID in", values, "id");
            return (Criteria) this;
        }

        public Criteria andIdNotIn(List<Integer> values) {
            addCriterion("ID not in", values, "id");
            return (Criteria) this;
        }

        public Criteria andIdBetween(Integer value1, Integer value2) {
            addCriterion("ID between", value1, value2, "id");
            return (Criteria) this;
        }

        public Criteria andIdNotBetween(Integer value1, Integer value2) {
            addCriterion("ID not between", value1, value2, "id");
            return (Criteria) this;
        }

        public Criteria andTaskBatchIdIsNull() {
            addCriterion("TASK_BATCH_ID is null");
            return (Criteria) this;
        }

        public Criteria andTaskBatchIdIsNotNull() {
            addCriterion("TASK_BATCH_ID is not null");
            return (Criteria) this;
        }

        public Criteria andTaskBatchIdEqualTo(String value) {
            addCriterion("TASK_BATCH_ID =", value, "taskBatchId");
            return (Criteria) this;
        }

        public Criteria andTaskBatchIdNotEqualTo(String value) {
            addCriterion("TASK_BATCH_ID <>", value, "taskBatchId");
            return (Criteria) this;
        }

        public Criteria andTaskBatchIdGreaterThan(String value) {
            addCriterion("TASK_BATCH_ID >", value, "taskBatchId");
            return (Criteria) this;
        }

        public Criteria andTaskBatchIdGreaterThanOrEqualTo(String value) {
            addCriterion("TASK_BATCH_ID >=", value, "taskBatchId");
            return (Criteria) this;
        }

        public Criteria andTaskBatchIdLessThan(String value) {
            addCriterion("TASK_BATCH_ID <", value, "taskBatchId");
            return (Criteria) this;
        }

        public Criteria andTaskBatchIdLessThanOrEqualTo(String value) {
            addCriterion("TASK_BATCH_ID <=", value, "taskBatchId");
            return (Criteria) this;
        }

        public Criteria andTaskBatchIdLike(String value) {
            addCriterion("TASK_BATCH_ID like", value, "taskBatchId");
            return (Criteria) this;
        }

        public Criteria andTaskBatchIdNotLike(String value) {
            addCriterion("TASK_BATCH_ID not like", value, "taskBatchId");
            return (Criteria) this;
        }

        public Criteria andTaskBatchIdIn(List<String> values) {
            addCriterion("TASK_BATCH_ID in", values, "taskBatchId");
            return (Criteria) this;
        }

        public Criteria andTaskBatchIdNotIn(List<String> values) {
            addCriterion("TASK_BATCH_ID not in", values, "taskBatchId");
            return (Criteria) this;
        }

        public Criteria andTaskBatchIdBetween(String value1, String value2) {
            addCriterion("TASK_BATCH_ID between", value1, value2, "taskBatchId");
            return (Criteria) this;
        }

        public Criteria andTaskBatchIdNotBetween(String value1, String value2) {
            addCriterion("TASK_BATCH_ID not between", value1, value2, "taskBatchId");
            return (Criteria) this;
        }

        public Criteria andDeviceSnIsNull() {
            addCriterion("DEVICE_SN is null");
            return (Criteria) this;
        }

        public Criteria andDeviceSnIsNotNull() {
            addCriterion("DEVICE_SN is not null");
            return (Criteria) this;
        }

        public Criteria andDeviceSnEqualTo(String value) {
            addCriterion("DEVICE_SN =", value, "deviceSn");
            return (Criteria) this;
        }

        public Criteria andDeviceSnNotEqualTo(String value) {
            addCriterion("DEVICE_SN <>", value, "deviceSn");
            return (Criteria) this;
        }

        public Criteria andDeviceSnGreaterThan(String value) {
            addCriterion("DEVICE_SN >", value, "deviceSn");
            return (Criteria) this;
        }

        public Criteria andDeviceSnGreaterThanOrEqualTo(String value) {
            addCriterion("DEVICE_SN >=", value, "deviceSn");
            return (Criteria) this;
        }

        public Criteria andDeviceSnLessThan(String value) {
            addCriterion("DEVICE_SN <", value, "deviceSn");
            return (Criteria) this;
        }

        public Criteria andDeviceSnLessThanOrEqualTo(String value) {
            addCriterion("DEVICE_SN <=", value, "deviceSn");
            return (Criteria) this;
        }

        public Criteria andDeviceSnLike(String value) {
            addCriterion("DEVICE_SN like", value, "deviceSn");
            return (Criteria) this;
        }

        public Criteria andDeviceSnNotLike(String value) {
            addCriterion("DEVICE_SN not like", value, "deviceSn");
            return (Criteria) this;
        }

        public Criteria andDeviceSnIn(List<String> values) {
            addCriterion("DEVICE_SN in", values, "deviceSn");
            return (Criteria) this;
        }

        public Criteria andDeviceSnNotIn(List<String> values) {
            addCriterion("DEVICE_SN not in", values, "deviceSn");
            return (Criteria) this;
        }

        public Criteria andDeviceSnBetween(String value1, String value2) {
            addCriterion("DEVICE_SN between", value1, value2, "deviceSn");
            return (Criteria) this;
        }

        public Criteria andDeviceSnNotBetween(String value1, String value2) {
            addCriterion("DEVICE_SN not between", value1, value2, "deviceSn");
            return (Criteria) this;
        }

        public Criteria andStationCodeIsNull() {
            addCriterion("STATION_CODE is null");
            return (Criteria) this;
        }

        public Criteria andStationCodeIsNotNull() {
            addCriterion("STATION_CODE is not null");
            return (Criteria) this;
        }

        public Criteria andStationCodeEqualTo(String value) {
            addCriterion("STATION_CODE =", value, "stationCode");
            return (Criteria) this;
        }

        public Criteria andStationCodeNotEqualTo(String value) {
            addCriterion("STATION_CODE <>", value, "stationCode");
            return (Criteria) this;
        }

        public Criteria andStationCodeGreaterThan(String value) {
            addCriterion("STATION_CODE >", value, "stationCode");
            return (Criteria) this;
        }

        public Criteria andStationCodeGreaterThanOrEqualTo(String value) {
            addCriterion("STATION_CODE >=", value, "stationCode");
            return (Criteria) this;
        }

        public Criteria andStationCodeLessThan(String value) {
            addCriterion("STATION_CODE <", value, "stationCode");
            return (Criteria) this;
        }

        public Criteria andStationCodeLessThanOrEqualTo(String value) {
            addCriterion("STATION_CODE <=", value, "stationCode");
            return (Criteria) this;
        }

        public Criteria andStationCodeLike(String value) {
            addCriterion("STATION_CODE like", value, "stationCode");
            return (Criteria) this;
        }

        public Criteria andStationCodeNotLike(String value) {
            addCriterion("STATION_CODE not like", value, "stationCode");
            return (Criteria) this;
        }

        public Criteria andStationCodeIn(List<String> values) {
            addCriterion("STATION_CODE in", values, "stationCode");
            return (Criteria) this;
        }

        public Criteria andStationCodeNotIn(List<String> values) {
            addCriterion("STATION_CODE not in", values, "stationCode");
            return (Criteria) this;
        }

        public Criteria andStationCodeBetween(String value1, String value2) {
            addCriterion("STATION_CODE between", value1, value2, "stationCode");
            return (Criteria) this;
        }

        public Criteria andStationCodeNotBetween(String value1, String value2) {
            addCriterion("STATION_CODE not between", value1, value2, "stationCode");
            return (Criteria) this;
        }

        public Criteria andStationNameIsNull() {
            addCriterion("STATION_NAME is null");
            return (Criteria) this;
        }

        public Criteria andStationNameIsNotNull() {
            addCriterion("STATION_NAME is not null");
            return (Criteria) this;
        }

        public Criteria andStationNameEqualTo(String value) {
            addCriterion("STATION_NAME =", value, "stationName");
            return (Criteria) this;
        }

        public Criteria andStationNameNotEqualTo(String value) {
            addCriterion("STATION_NAME <>", value, "stationName");
            return (Criteria) this;
        }

        public Criteria andStationNameGreaterThan(String value) {
            addCriterion("STATION_NAME >", value, "stationName");
            return (Criteria) this;
        }

        public Criteria andStationNameGreaterThanOrEqualTo(String value) {
            addCriterion("STATION_NAME >=", value, "stationName");
            return (Criteria) this;
        }

        public Criteria andStationNameLessThan(String value) {
            addCriterion("STATION_NAME <", value, "stationName");
            return (Criteria) this;
        }

        public Criteria andStationNameLessThanOrEqualTo(String value) {
            addCriterion("STATION_NAME <=", value, "stationName");
            return (Criteria) this;
        }

        public Criteria andStationNameLike(String value) {
            addCriterion("STATION_NAME like", value, "stationName");
            return (Criteria) this;
        }

        public Criteria andStationNameNotLike(String value) {
            addCriterion("STATION_NAME not like", value, "stationName");
            return (Criteria) this;
        }

        public Criteria andStationNameIn(List<String> values) {
            addCriterion("STATION_NAME in", values, "stationName");
            return (Criteria) this;
        }

        public Criteria andStationNameNotIn(List<String> values) {
            addCriterion("STATION_NAME not in", values, "stationName");
            return (Criteria) this;
        }

        public Criteria andStationNameBetween(String value1, String value2) {
            addCriterion("STATION_NAME between", value1, value2, "stationName");
            return (Criteria) this;
        }

        public Criteria andStationNameNotBetween(String value1, String value2) {
            addCriterion("STATION_NAME not between", value1, value2, "stationName");
            return (Criteria) this;
        }

        public Criteria andFinishedFlagIsNull() {
            addCriterion("FINISHED_FLAG is null");
            return (Criteria) this;
        }

        public Criteria andFinishedFlagIsNotNull() {
            addCriterion("FINISHED_FLAG is not null");
            return (Criteria) this;
        }

        public Criteria andFinishedFlagEqualTo(String value) {
            addCriterion("FINISHED_FLAG =", value, "finishedFlag");
            return (Criteria) this;
        }

        public Criteria andFinishedFlagNotEqualTo(String value) {
            addCriterion("FINISHED_FLAG <>", value, "finishedFlag");
            return (Criteria) this;
        }

        public Criteria andFinishedFlagGreaterThan(String value) {
            addCriterion("FINISHED_FLAG >", value, "finishedFlag");
            return (Criteria) this;
        }

        public Criteria andFinishedFlagGreaterThanOrEqualTo(String value) {
            addCriterion("FINISHED_FLAG >=", value, "finishedFlag");
            return (Criteria) this;
        }

        public Criteria andFinishedFlagLessThan(String value) {
            addCriterion("FINISHED_FLAG <", value, "finishedFlag");
            return (Criteria) this;
        }

        public Criteria andFinishedFlagLessThanOrEqualTo(String value) {
            addCriterion("FINISHED_FLAG <=", value, "finishedFlag");
            return (Criteria) this;
        }

        public Criteria andFinishedFlagLike(String value) {
            addCriterion("FINISHED_FLAG like", value, "finishedFlag");
            return (Criteria) this;
        }

        public Criteria andFinishedFlagNotLike(String value) {
            addCriterion("FINISHED_FLAG not like", value, "finishedFlag");
            return (Criteria) this;
        }

        public Criteria andFinishedFlagIn(List<String> values) {
            addCriterion("FINISHED_FLAG in", values, "finishedFlag");
            return (Criteria) this;
        }

        public Criteria andFinishedFlagNotIn(List<String> values) {
            addCriterion("FINISHED_FLAG not in", values, "finishedFlag");
            return (Criteria) this;
        }

        public Criteria andFinishedFlagBetween(String value1, String value2) {
            addCriterion("FINISHED_FLAG between", value1, value2, "finishedFlag");
            return (Criteria) this;
        }

        public Criteria andFinishedFlagNotBetween(String value1, String value2) {
            addCriterion("FINISHED_FLAG not between", value1, value2, "finishedFlag");
            return (Criteria) this;
        }

        public Criteria andFinishedTimeIsNull() {
            addCriterion("FINISHED_TIME is null");
            return (Criteria) this;
        }

        public Criteria andFinishedTimeIsNotNull() {
            addCriterion("FINISHED_TIME is not null");
            return (Criteria) this;
        }

        public Criteria andFinishedTimeEqualTo(Date value) {
            addCriterion("FINISHED_TIME =", value, "finishedTime");
            return (Criteria) this;
        }

        public Criteria andFinishedTimeNotEqualTo(Date value) {
            addCriterion("FINISHED_TIME <>", value, "finishedTime");
            return (Criteria) this;
        }

        public Criteria andFinishedTimeGreaterThan(Date value) {
            addCriterion("FINISHED_TIME >", value, "finishedTime");
            return (Criteria) this;
        }

        public Criteria andFinishedTimeGreaterThanOrEqualTo(Date value) {
            addCriterion("FINISHED_TIME >=", value, "finishedTime");
            return (Criteria) this;
        }

        public Criteria andFinishedTimeLessThan(Date value) {
            addCriterion("FINISHED_TIME <", value, "finishedTime");
            return (Criteria) this;
        }

        public Criteria andFinishedTimeLessThanOrEqualTo(Date value) {
            addCriterion("FINISHED_TIME <=", value, "finishedTime");
            return (Criteria) this;
        }

        public Criteria andFinishedTimeIn(List<Date> values) {
            addCriterion("FINISHED_TIME in", values, "finishedTime");
            return (Criteria) this;
        }

        public Criteria andFinishedTimeNotIn(List<Date> values) {
            addCriterion("FINISHED_TIME not in", values, "finishedTime");
            return (Criteria) this;
        }

        public Criteria andFinishedTimeBetween(Date value1, Date value2) {
            addCriterion("FINISHED_TIME between", value1, value2, "finishedTime");
            return (Criteria) this;
        }

        public Criteria andFinishedTimeNotBetween(Date value1, Date value2) {
            addCriterion("FINISHED_TIME not between", value1, value2, "finishedTime");
            return (Criteria) this;
        }

        public Criteria andTaskRemoteCfgIdIsNull() {
            addCriterion("TASK_REMOTE_CFG_ID is null");
            return (Criteria) this;
        }

        public Criteria andTaskRemoteCfgIdIsNotNull() {
            addCriterion("TASK_REMOTE_CFG_ID is not null");
            return (Criteria) this;
        }

        public Criteria andTaskRemoteCfgIdEqualTo(String value) {
            addCriterion("TASK_REMOTE_CFG_ID =", value, "taskRemoteCfgId");
            return (Criteria) this;
        }

        public Criteria andTaskRemoteCfgIdNotEqualTo(String value) {
            addCriterion("TASK_REMOTE_CFG_ID <>", value, "taskRemoteCfgId");
            return (Criteria) this;
        }

        public Criteria andTaskRemoteCfgIdGreaterThan(String value) {
            addCriterion("TASK_REMOTE_CFG_ID >", value, "taskRemoteCfgId");
            return (Criteria) this;
        }

        public Criteria andTaskRemoteCfgIdGreaterThanOrEqualTo(String value) {
            addCriterion("TASK_REMOTE_CFG_ID >=", value, "taskRemoteCfgId");
            return (Criteria) this;
        }

        public Criteria andTaskRemoteCfgIdLessThan(String value) {
            addCriterion("TASK_REMOTE_CFG_ID <", value, "taskRemoteCfgId");
            return (Criteria) this;
        }

        public Criteria andTaskRemoteCfgIdLessThanOrEqualTo(String value) {
            addCriterion("TASK_REMOTE_CFG_ID <=", value, "taskRemoteCfgId");
            return (Criteria) this;
        }

        public Criteria andTaskRemoteCfgIdLike(String value) {
            addCriterion("TASK_REMOTE_CFG_ID like", value, "taskRemoteCfgId");
            return (Criteria) this;
        }

        public Criteria andTaskRemoteCfgIdNotLike(String value) {
            addCriterion("TASK_REMOTE_CFG_ID not like", value, "taskRemoteCfgId");
            return (Criteria) this;
        }

        public Criteria andTaskRemoteCfgIdIn(List<String> values) {
            addCriterion("TASK_REMOTE_CFG_ID in", values, "taskRemoteCfgId");
            return (Criteria) this;
        }

        public Criteria andTaskRemoteCfgIdNotIn(List<String> values) {
            addCriterion("TASK_REMOTE_CFG_ID not in", values, "taskRemoteCfgId");
            return (Criteria) this;
        }

        public Criteria andTaskRemoteCfgIdBetween(String value1, String value2) {
            addCriterion("TASK_REMOTE_CFG_ID between", value1, value2, "taskRemoteCfgId");
            return (Criteria) this;
        }

        public Criteria andTaskRemoteCfgIdNotBetween(String value1, String value2) {
            addCriterion("TASK_REMOTE_CFG_ID not between", value1, value2, "taskRemoteCfgId");
            return (Criteria) this;
        }

        public Criteria andTaskDownIdIsNull() {
            addCriterion("TASK_DOWN_ID is null");
            return (Criteria) this;
        }

        public Criteria andTaskDownIdIsNotNull() {
            addCriterion("TASK_DOWN_ID is not null");
            return (Criteria) this;
        }

        public Criteria andTaskDownIdEqualTo(String value) {
            addCriterion("TASK_DOWN_ID =", value, "taskDownId");
            return (Criteria) this;
        }

        public Criteria andTaskDownIdNotEqualTo(String value) {
            addCriterion("TASK_DOWN_ID <>", value, "taskDownId");
            return (Criteria) this;
        }

        public Criteria andTaskDownIdGreaterThan(String value) {
            addCriterion("TASK_DOWN_ID >", value, "taskDownId");
            return (Criteria) this;
        }

        public Criteria andTaskDownIdGreaterThanOrEqualTo(String value) {
            addCriterion("TASK_DOWN_ID >=", value, "taskDownId");
            return (Criteria) this;
        }

        public Criteria andTaskDownIdLessThan(String value) {
            addCriterion("TASK_DOWN_ID <", value, "taskDownId");
            return (Criteria) this;
        }

        public Criteria andTaskDownIdLessThanOrEqualTo(String value) {
            addCriterion("TASK_DOWN_ID <=", value, "taskDownId");
            return (Criteria) this;
        }

        public Criteria andTaskDownIdLike(String value) {
            addCriterion("TASK_DOWN_ID like", value, "taskDownId");
            return (Criteria) this;
        }

        public Criteria andTaskDownIdNotLike(String value) {
            addCriterion("TASK_DOWN_ID not like", value, "taskDownId");
            return (Criteria) this;
        }

        public Criteria andTaskDownIdIn(List<String> values) {
            addCriterion("TASK_DOWN_ID in", values, "taskDownId");
            return (Criteria) this;
        }

        public Criteria andTaskDownIdNotIn(List<String> values) {
            addCriterion("TASK_DOWN_ID not in", values, "taskDownId");
            return (Criteria) this;
        }

        public Criteria andTaskDownIdBetween(String value1, String value2) {
            addCriterion("TASK_DOWN_ID between", value1, value2, "taskDownId");
            return (Criteria) this;
        }

        public Criteria andTaskDownIdNotBetween(String value1, String value2) {
            addCriterion("TASK_DOWN_ID not between", value1, value2, "taskDownId");
            return (Criteria) this;
        }

        public Criteria andAicqbCfgIdIsNull() {
            addCriterion("AICQB_CFG_ID is null");
            return (Criteria) this;
        }

        public Criteria andAicqbCfgIdIsNotNull() {
            addCriterion("AICQB_CFG_ID is not null");
            return (Criteria) this;
        }

        public Criteria andAicqbCfgIdEqualTo(String value) {
            addCriterion("AICQB_CFG_ID =", value, "aicqbCfgId");
            return (Criteria) this;
        }

        public Criteria andAicqbCfgIdNotEqualTo(String value) {
            addCriterion("AICQB_CFG_ID <>", value, "aicqbCfgId");
            return (Criteria) this;
        }

        public Criteria andAicqbCfgIdGreaterThan(String value) {
            addCriterion("AICQB_CFG_ID >", value, "aicqbCfgId");
            return (Criteria) this;
        }

        public Criteria andAicqbCfgIdGreaterThanOrEqualTo(String value) {
            addCriterion("AICQB_CFG_ID >=", value, "aicqbCfgId");
            return (Criteria) this;
        }

        public Criteria andAicqbCfgIdLessThan(String value) {
            addCriterion("AICQB_CFG_ID <", value, "aicqbCfgId");
            return (Criteria) this;
        }

        public Criteria andAicqbCfgIdLessThanOrEqualTo(String value) {
            addCriterion("AICQB_CFG_ID <=", value, "aicqbCfgId");
            return (Criteria) this;
        }

        public Criteria andAicqbCfgIdLike(String value) {
            addCriterion("AICQB_CFG_ID like", value, "aicqbCfgId");
            return (Criteria) this;
        }

        public Criteria andAicqbCfgIdNotLike(String value) {
            addCriterion("AICQB_CFG_ID not like", value, "aicqbCfgId");
            return (Criteria) this;
        }

        public Criteria andAicqbCfgIdIn(List<String> values) {
            addCriterion("AICQB_CFG_ID in", values, "aicqbCfgId");
            return (Criteria) this;
        }

        public Criteria andAicqbCfgIdNotIn(List<String> values) {
            addCriterion("AICQB_CFG_ID not in", values, "aicqbCfgId");
            return (Criteria) this;
        }

        public Criteria andAicqbCfgIdBetween(String value1, String value2) {
            addCriterion("AICQB_CFG_ID between", value1, value2, "aicqbCfgId");
            return (Criteria) this;
        }

        public Criteria andAicqbCfgIdNotBetween(String value1, String value2) {
            addCriterion("AICQB_CFG_ID not between", value1, value2, "aicqbCfgId");
            return (Criteria) this;
        }
    }

    public static class Criteria extends GeneratedCriteria {

        protected Criteria() {
            super();
        }
    }

    public static class Criterion {
        private String condition;

        private Object value;

        private Object secondValue;

        private boolean noValue;

        private boolean singleValue;

        private boolean betweenValue;

        private boolean listValue;

        private String typeHandler;

        public String getCondition() {
            return condition;
        }

        public Object getValue() {
            return value;
        }

        public Object getSecondValue() {
            return secondValue;
        }

        public boolean isNoValue() {
            return noValue;
        }

        public boolean isSingleValue() {
            return singleValue;
        }

        public boolean isBetweenValue() {
            return betweenValue;
        }

        public boolean isListValue() {
            return listValue;
        }

        public String getTypeHandler() {
            return typeHandler;
        }

        protected Criterion(String condition) {
            super();
            this.condition = condition;
            this.typeHandler = null;
            this.noValue = true;
        }

        protected Criterion(String condition, Object value, String typeHandler) {
            super();
            this.condition = condition;
            this.value = value;
            this.typeHandler = typeHandler;
            if (value instanceof List<?>) {
                this.listValue = true;
            } else {
                this.singleValue = true;
            }
        }

        protected Criterion(String condition, Object value) {
            this(condition, value, null);
        }

        protected Criterion(String condition, Object value, Object secondValue, String typeHandler) {
            super();
            this.condition = condition;
            this.value = value;
            this.secondValue = secondValue;
            this.typeHandler = typeHandler;
            this.betweenValue = true;
        }

        protected Criterion(String condition, Object value, Object secondValue) {
            this(condition, value, secondValue, null);
        }
    }
}